using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MesWork
{
    /// <summary>
    /// 功能操作
    /// </summary>
    public class FuncOperation
    {
        /// <summary>
        /// 保存布局
        /// </summary>
        public static void SaveLyout()
        {
            foreach (DictionaryEntry item in MesWorkForm.ht_Station_Content)
            {
                var stationName = item.Key.ToString();
                var control = (Panel)item.Value;
                var px = control.Location.X;
                var py = control.Location.Y;
                ExecuteDB.SaveLyout_P(stationName, px, py);
            }
            foreach (DictionaryEntry item in MesWorkForm.ht_Station_Label)
            {
                var stationName = item.Key.ToString();
                var control = (Label)item.Value;
                var px = control.Location.X;
                var py = control.Location.Y;
                ExecuteDB.SaveLyout_PT(stationName, px, py);
            }
        }















    }
}
